#ifndef TELEMETRYCLASS_H
#define TELEMETRYCLASS_H

#include <QString>
#include <QDateTime>
#include <QFileInfo>
#include <QTextStream>

double sin_Param(double step, double min, double dim);

class telemetryClass
{
public:
    telemetryClass();
    ~telemetryClass();
    void start(QString _operation);
    void stop();
private:
    QString operation;
    QString filePath;

    QDateTime StartOper;
    QDateTime StopOper;

    //file report
    QFile file;
};

#endif // TELEMETRYCLASS_H
